Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.SwitchMultilevelReport (grizzly v7.4.2)

Module for the SWITCH_MULTILEVEL_REPORT

Params:

- `:value` - `:off`, 0 (off) and 99 (100% on), or `:unknown`
- `:duration` - How long the switch should take to reach target value, 0 -> instantly, 1..127 -> seconds, 128..253 -> minutes, 255 -> unknown (optional v2)

# Summary

## Types

param()

## Functions

encode_value(value)

# Types

Link to this type

# param()

View Source

    @type param() :: {:value, 0..99 | :off | :unknown} | {:duration, non_neg_integer()}

# Functions

Link to this function

# encode_value(value)

View Source